#!/usr/bin/env sh

CAFFE_ROOT=../../..
ROOT_DIR=./
LABEL_FILE=$CAFFE_ROOT/caffe/data/yolo/label_map.txt

# 2007 + 2012 trainval
LIST_FILE=$CAFFE_ROOT/caffe/data/yolo/trainval.txt
LMDB_DIR=./lmdb/trainval_lmdb
SHUFFLE=false

RESIZE_W=416
RESIZE_H=416

# Check if CAFFE_BIN is unset
if [ -z "$CAFFE_BIN" ]; then
  TOOLS=$CAFFE_ROOT/build/tools
else
  TOOLS=$CAFFE_BIN
fi

$TOOLS/convert_box_data --resize_width=$RESIZE_W --resize_height=$RESIZE_H \
  --label_file=$LABEL_FILE $ROOT_DIR $LIST_FILE $LMDB_DIR --encoded=true --encode_type=jpg --shuffle=$SHUFFLE

# 2007 test
 LIST_FILE=$CAFFE_ROOT/caffe/data/yolo/test_2007.txt
 LMDB_DIR=./lmdb/test2007_lmdb
 SHUFFLE=false

$TOOLS/convert_box_data --resize_width=$RESIZE_W --resize_height=$RESIZE_H \
  --label_file=$LABEL_FILE $ROOT_DIR $LIST_FILE $LMDB_DIR --encoded=true --encode_type=jpg --shuffle=$SHUFFLE
